__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Setup Apache Control script"

    def createRuntime(self):
        osServiceName = 'httpd'

        if "redhat-7" in self.cfg["PLATFORM"]:
            serviceScript = self.cfg['HTTPD_SERVICE_CMD']
            httpdInitEnableCmd  = "%s enable" %serviceScript
        else:
            httpdInitEnableCmd = "/sbin/chkconfig  --level 345 %s on &> /dev/null" % osServiceName

        app.util.runSystem(httpdInitEnableCmd, self.log)
