from app.scripts import BaseBootstrapScript
import app.util
import app.preprocessor
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Create Branding Repository base folder"

    def bootstrap(self):
        brandingRepo = self.cfg['SUBVERSION_BRANDING_REPOSITORY_BASE']
        brandingUser = self.cfg['APP_USER']
        brandingGroup = self.cfg['APP_GROUP']

        if os.path.islink(brandingRepo):
            brandingRepo = os.readlink(brandingRepo)
            print 'here: %s' % brandingRepo
        app.util.runSystem("mkdir -p %s" % brandingRepo, self.log)
        app.util.runSystem("chown %s:%s %s" % (brandingUser,brandingGroup,brandingRepo),self.log)
