__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseBootstrapScript
import app.util
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Set permission for deleted_files folder"

    def bootstrap(self):
        app.util.runSystem("chown -R %s:%s %s" % (self.cfg['APP_USER'],
                             self.cfg['APP_GROUP'],
                             self.cfg['DELETED_FILES_LOCATION']), self.log)
