__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript
import app.util
import app.batch
import app.preprocessor
import os

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create ETL folders"

    def createRuntime(self):
        tomcatEtlClassesDir = os.path.join(self.cfg['ETL_DEPLOY_WEB_INF_DIR'], 'classes')
        tomcatEtlKettleDir = os.path.join(self.cfg['ETL_DEPLOY_WEB_INF_DIR'], 'kettle')
        tomcatEtlConfDir = os.path.join(self.cfg['ETL_BASE_DIR'],
                    'conf')
        tomcatEtlTempDir = os.path.join(self.cfg['ETL_BASE_DIR'],
                    'temp')
        app.util.runSystem("mkdir -p %s " % tomcatEtlClassesDir, self.log)
        app.util.runSystem("mkdir -p %s " % tomcatEtlKettleDir, self.log)
        app.util.runSystem("mkdir -p %s " % tomcatEtlConfDir, self.log)
        app.util.runSystem("mkdir -p %s " % tomcatEtlTempDir, self.log)
