__copyright__ = "Copyright (c) 2016 CollabNet, Inc. All rights reserved."
from app.scripts import BaseBootstrapScript
from app.pgdbadmin import PGDBAdmin
import app.logutil

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "PostgreSQL recreating User/DB for Gerrit"
    def bootstrap(self):
        db = PGDBAdmin(
            self.cfg.get('GERRIT_DATABASE_NAME'),
            self.cfg.get('GERRIT_DATABASE_USER'),
            self.cfg.get('GERRIT_DATABASE_PASSWORD'),
            None,
            None,
            self.log,
            self.cfg.get('gerrit-database-postgres/bind/jdbc/port'))
        
        db.dropDBIfExists()
        db.reCreateUsers()
        db.createDB()
