__copyright__ = "Copyright (c) 2013 CollabNet, Inc. All rights reserved."

from app.scripts import BaseOptionScript
import app.defaults

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        obfEnabled = app.defaults.DEFAULT_OBFUSCATION_ENABLED
        obfKey     = app.defaults.DEFAULT_OBFUSCATION_KEY
        obfPrefix  = app.defaults.DEFAULT_OBFUSCATION_PREFIX

        if not self.cfg.has_key('OBFUSCATION_ENABLED'):
           return "\n".join(["OBFUSCATION_ENABLED=%s\n" % obfEnabled,
                             "OBFUSCATION_KEY=%s\n" % obfKey,
                             "OBFUSCATION_PREFIX=%s\n" % obfPrefix])

        obfEnabled = self.cfg['OBFUSCATION_ENABLED']
        return "\n".join(["OBFUSCATION_KEY=%s\n" % obfKey,
                         "OBFUSCATION_PREFIX=%s\n" % obfPrefix])
