__copyright__ = "Copyright (c) 2015 CollabNet, Inc. All rights reserved."

from app.scripts import BaseOptionScript
import service.util
import service.constants

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        if self.cfg.has_key('TEST_SUPPORT_ENABLED') and self.cfg['TEST_SUPPORT_ENABLED'] == 'true':
            # HttpTests rely on being able to read/modify cookies.
            httpOnly = "false"
        else:
            httpOnly = "true"
    
        if self.cfg.has_key('SSL') and self.cfg['SSL'] == 'on':
            secureCookie = "true"
        else:
            secureCookie = "false"
            
        return "\n".join(["HTTP_ONLY_COOKIE=%s" % httpOnly,"\nSECURE_COOKIE=%s" % secureCookie])
