__copyright__ = "Copyright (c) 2011 CollabNet, Inc. All rights reserved."

from app.scripts import BaseOptionScript
import app.util
import service.util
import app.preprocessor
import os

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        dType = self.cfg['DATABASE_TYPE']
        if dType == 'postgresql':
            query = "select version();"
        elif dType == 'oracle':
            query = "select 1 from dual"

        return "\n".join(["REPORTS_VALIDATION_QUERY=%s" % query])
