#!/usr/bin/env python

import os
import sys
import app.util


dbType = app.util.getRawRuntimeConfiguration().get('DATABASE_TYPE')
if dbType == 'postgresql':
    serviceToBootstrap = 'ctfcore-datamart-admin-postgres'
elif cfg.get('DATABASE_TYPE') == 'oracle':
    serviceToBootstrap = 'ctfcore-datamart-admin-oracle'
else:
    print "Unknown database type %s" % dbType
    sys.exit(1)
    
# Pass runtime-options.conf instead of site-options.conf to maintain backward compatibility
os.execv(os.path.join(os.path.dirname(os.path.abspath(__file__)), '..', '..', 'bin', 'teamforge.py'), 
    [sys.argv[0], "bootstrap"] + sys.argv[1:] + ["-f", "/opt/collabnet/teamforge/runtime/conf/runtime-options.conf", "-s", serviceToBootstrap ])
