﻿__copyright__ = "Copyright (c) 2013 CollabNet, Inc. All rights reserved."

from app.scripts import BaseCreateRuntimeScript

import os
import app.util

class CreateRuntimeScript(BaseCreateRuntimeScript):

    scriptDescription = "Create log folders"

    def createFolderIfNotExisting(self, folder):
        if not os.path.exists(folder):
            try:
                os.makedirs(folder)
            except:
                self.logMesg("warn", "Creating log folder %s failed" %folder)

    def createRuntime(self):
        monitLogDir = os.path.join(self.cfg['LOG_DIR'], 'monit')
        self.createFolderIfNotExisting(monitLogDir)
