__copyright__ = "Copyright (c) 2016 CollabNet, Inc. All rights reserved."

from app.scripts import BaseOptionScript
import app.preprocessor
import os.path

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        monitServiceCmd = "/etc/init.d/monit"
        tfSystemd = os.path.join(self.cfg["RUNTIME_SCRIPTS"], 'tfsystemd')
        if "redhat-7" in self.cfg["PLATFORM"]:
            monitServiceCmd = "%s monit" % tfSystemd
        return "MONIT_INTERFACE_IP=localhost\n" + \
               "MONIT_ACCESS_HOSTS=0.0.0.0/0.0.0.0\n" + \
               "MONIT_SERVICE_CMD=%s\n" %(monitServiceCmd)