__author__ = 'Vivek Dhayal M K <vivekdhayal@collab.net>'
__copyright__ = "Copyright (c) 2012 CollabNet, Inc. All rights reserved."

from app.scripts import BaseConfigScript
from app.util import getRuntimeConfiguration

class ConfigScript(BaseConfigScript):
    def configSnippet(self):
        cfg = getRuntimeConfiguration()
        hostName = cfg.get("NODE_HOSTNAME")
        domainNameKey = "DOMAIN_" + hostName
        domainNameValue = cfg.get(domainNameKey)
        return "\nServerName " + domainNameValue + "\n"
