__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

import re
from app.scripts import BaseConfigScript
import service.util
import service.constants
import app.options
import app.defaults

class ConfigScript(BaseConfigScript):

    def configSnippet(self):
       
        confStr = ""
        bdcsHost = service.util.getApplicationHost(service.constants.APPLICATION_CODESEARCH)
        if bdcsHost:
            appName = service.constants.APPLICATION_CODESEARCH
            if (service.util.isApplicationEnabled(appName, bdcsHost)):
                propStr = """
%s/bds-codesight/data/pg_log/* {
    olddir {__LOG_ARCHIVE_DIR__}/codesearch
    sharedscripts
    postrotate
        {__LOGROTATE_POSTROTATE__}
    endscript
    lastaction
        {__LOGROTATE_LASTACTION__}
    endscript
}

%s/CodeSight/tomcat/logs/* {
    olddir {__LOG_ARCHIVE_DIR__}/codesearch
    sharedscripts
    postrotate
        {__LOGROTATE_POSTROTATE__}
    endscript
    lastaction
        {__LOGROTATE_LASTACTION__}
    endscript
}
"""%(self.cfg['BDCS_PGSQL_HOME_DIR_ROOT'],self.cfg['BDCS_INSTALL_PATH'])    
                confStr = confStr + propStr
       
        return confStr
