#!/bin/bash

# Source the tokens

eval "`$RUNTIME_DIR/scripts/options-to-shell-variables.py`"

if [ "$BDCS_SSL" != "on" ]
then
   exit 0
fi

APP_SERVER=${API_SOAP##*/}

export JAVA_HOME
LOG_FILE=$LOG_DIR/runtime/cert.log
HOST_CONNECTION="$APP_SERVER:$API_SOAP_PORT"
echo "=========================================================================" >> $LOG_FILE
date >> $LOG_FILE
$JAVA_HOME/bin/java -cp $UTIL_JAR_PATH com.vasoftware.sf.system.utils.JSSEInstallCertificate "$HOST_CONNECTION" >> $LOG_FILE 2>&1
echo "=========================================================================" >> $LOG_FILE
