__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseBootstrapScript
import app.util
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Remove Branding data"

    def bootstrap(self):
        brandingRepo = self.cfg['SUBVERSION_BRANDING_REPOSITORY_BASE']
        if os.path.islink(brandingRepo):
            brandingRepo = os.readlink(brandingRepo)
        if os.path.exists(brandingRepo):
            app.util.runSystem("rm -rf %s" % brandingRepo, self.log)
