from app.scripts import BaseBootstrapScript
import app.util
import os

class BootstrapScript(BaseBootstrapScript):

    scriptDescription = "Create remote publish folder"

    def bootstrap(self):
        remotePublishDir = self.cfg['PUBLISH_DIR']
        if not os.path.exists(remotePublishDir):
            os.makedirs(remotePublishDir)

        os.chmod(remotePublishDir, 0755)

        apacheUser = self.cfg['HTTPD_USER']
        apacheGroup = self.cfg['HTTPD_GROUP']

        os.system("chown %s:%s %s" % (apacheUser, apacheGroup, remotePublishDir))

