__copyright__ = "Copyright (c) 2013 CollabNet, Inc. All rights reserved."

from app.scripts import BaseVerificationScript
import commands
import sys

class VerificationScript(BaseVerificationScript):
    # Script to verify umask is set to '0022'     

    scriptDescription = "Verify umask"
    def verificationSnippet(self):
            runCommand = 'umask'
            (retVal, outputVal) = commands.getstatusoutput(runCommand)
            if (outputVal != '0022'):
                raise Exception("Failed \nUnsupported umask %s. Please set the default umask to 0022."%(outputVal))
