__copyright__ = "Copyright (c) 2013 CollabNet, Inc. All rights reserved."

from app.scripts import BaseOptionScript
import socket

class OptionScript(BaseOptionScript):
    def optionSnippet(self):
        hostApplicationList = [hostName for (hostName, applications) in self.cfg.items() if hostName.rfind("HOST_") == 0]

        if 'HOST_localhost' in hostApplicationList:
            nodeHostName = 'localhost'
        else:
            nodeHostName = socket.gethostname()
        return "NODE_HOSTNAME=%s" % nodeHostName