__copyright__ = "Copyright (c) 2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseOptionScript
import sys
import service.util

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
       # Check if DATABASE_USERNAME and DATABASE_READ_ONLY_USER have the same value
       dUser = self.cfg['DATABASE_USERNAME']
       dReadOnlyUser = self.cfg['DATABASE_READ_ONLY_USER']
       if dUser == dReadOnlyUser:
           self.log.error("DATABASE_USERNAME and DATABASE_READ_ONLY_USER cannot have same value")
           sys.exit(1)

       tokenName = "DATABASE_SSL"
       dSSL = "off"

       if self.cfg.has_key(tokenName):
          dSSL = self.cfg[tokenName]

       return "\n".join(["DATABASE_SSL=%s" % dSSL])
