__copyright__ = "Copyright (c) 2013 CollabNet, Inc. All rights reserved."

from app.scripts import BaseOptionScript
import service.constants
import os

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        appHost = service.util.getApplicationHost(service.constants.APPLICATION_APP)
        indexerHost  = service.util.getApplicationHost(service.constants.APPLICATION_INDEXER)
        tokenStr = "\n".join(["SEARCH_RMI_NAME=searchQueryServer",
                          "SEARCH_ANALYZER=org.apache.lucene.analysis.standard.StandardAnalyzer"])
        if indexerHost != appHost :
            if not self.cfg.has_key('INDEXER_NFS_FILESTORAGE_LOCATION'):
                indexerFileStorageDir = "%s:%s" %(appHost,self.cfg['FILESTORAGE_LOCATION'])
                tokenStr = tokenStr + "\nINDEXER_NFS_FILESTORAGE_LOCATION=%s" %indexerFileStorageDir
        return tokenStr
