__copyright__ = "Copyright (c) 1999-2007 CollabNet, Inc. All rights reserved."

from app.scripts import BaseOptionScript

import service.util
import service.constants
import socket

class OptionScript(BaseOptionScript):

    def optionSnippet(self):
        appHost=service.util.getApplicationHost(service.constants.APPLICATION_APP)
        databaseHost=service.util.getApplicationHost(service.constants.APPLICATION_DATABASE)
        reportsDatabaseHost=service.util.getApplicationHost(service.constants.APPLICATION_REPORTS_DATABASE)
        etlHost=service.util.getApplicationHost(service.constants.APPLICATION_ETL)
        bdcsHost=service.util.getApplicationHost(service.constants.APPLICATION_CODESEARCH)

        AppDatabaseList = [appHost,databaseHost,reportsDatabaseHost,etlHost,bdcsHost]
        is_scmserver="true"
        nodehost = self.cfg['NODE_HOSTNAME']
        if (nodehost in AppDatabaseList or "localhost" in AppDatabaseList):
           is_scmserver="false"
        return "IS_SCM_SERVER=%s\n" %(is_scmserver)
