from app.scripts import BaseCronScript

import os
import app.util
import service.util

class CronScript(BaseCronScript):

    scriptDescription = "Running log rotate script"

    def cronjob(self):
        logParentDir = self.cfg["LOG_DIR"]

        if not os.path.isdir(self.cfg["LOG_ARCHIVE_DIR"]):
            cmd = "mkdir -p %s" %  self.cfg["LOG_ARCHIVE_DIR"]
            app.util.executeCommand(cmd)
        for logDir in os.listdir(logParentDir):
            logArchiveDir = os.path.join(self.cfg["LOG_ARCHIVE_DIR"],logDir)
            if not os.path.isdir(logArchiveDir):
                os.mkdir(logArchiveDir)

        
        logRotateConf = os.path.join(app.defaults.DEFAULT_RUNTIME_DIR, "logrotate", "etc", "teamforge-logrotate.conf")
        cmd = "logrotate -f %s" % logRotateConf
        app.util.executeCommand(cmd)
